#ifndef __AUTHFUNCS_H
#define __AUTHFUNCS_H

#include <sys/types.h>

    /* =()<#define @<_AUTH_DB>@_AUTH_DB>()= */
#define DO_AUTH_DB
    /* =()<#define @<_AUTH_PW>@_AUTH_PW>()= */
#define DONT_AUTH_PW
    /* =()<#define @<_AUTH_IDENT>@_AUTH_IDENT>()= */
#define DO_AUTH_IDENT
    /* =()<#define @<_AUTH_IPNAME>@_AUTH_IPNAME>()= */
#define DO_AUTH_IPNAME
    /* =()<#define @<_AUTH_IPUSER>@_AUTH_IPUSER>()= */
#define DO_AUTH_IPUSER
    /* =()<#define @<_AUTH_SET>@_AUTH_SET>()= */
#define DO_AUTH_SET
    /* =()<#define @<_AUTH_TAG>@_AUTH_TAG>()= */
#define DO_AUTH_TAG

#if	defined(DO_AUTH_DB) || defined(DO_AUTH_PW)
extern int PERMpwfile(char*, char*, char*, char*, char*, size_t);
#endif
#if	defined(DO_AUTH_IPNAME)
extern int IPNAMEresolveuser(char*, char*, char*, char*, char*, size_t);
#endif
#if	defined(DO_AUTH_IDENT)
extern void IDENTinitencrypt(char*);
extern int IDENTresolveuser(char*, char*, char*, char*, char*, size_t);
#endif
#if	defined(DO_AUTH_SET)
extern int PERMsetuser(char*, char*, char*, char*, char*, size_t);
#endif
#if	defined(DO_AUTH_IPUSER)
extern int PERMipuser(char*, char*, char*, char*, char*, size_t);
#endif
#if	defined(DO_AUTH_TAG)
extern int PERMnametag(char*, char*, char*, char*, char*, size_t);
#endif

#endif
