#include <sys/types.h>
#include <stdio.h>
#include "parse.h"

static char delim[] = "{}!(),=:; \t\r\n\"";
static char blank[] = " \t\r\n";

int
PARSEindelim(ch, list)
    char ch;
    char *list;
{
    char *test = list;

    while (*test) {
        if (ch == *test)
            return(1);
        test++;
    }
    return(0);
}

char *
PARSEgettoken(str, ret)
    char *str;
    char *ret;
{
    char *ind;

    while (PARSEindelim(*str, blank))
        str++;
    if (!*str)
        return(0);
    if (PARSEindelim(*str, delim)) {
        ret[1] = 0;
        ret[0] = *str;
        return(str+1);
    }
    ind = str;
    while (*ind && !PARSEindelim(*ind, delim))
        ind++;
    ret[ind-str] = 0;
    strncpy(ret, str, ind-str);
    while (*ind && PARSEindelim(*ind, blank))
        ind++;
    return(ind);
}
