#include "authfuncs.h"

#if	defined(DO_AUTH_TAG)

#include <string.h>
#include <stdio.h>

#include "configdata.h"
#include "paths.h"
#include "logging.h"

#include "passwd.h"

#include "../postlimit/misc.h"
#include "../postlimit/filter.h"

int
PERMnametag(name, user, pass, args, realuser, len)
    char *name, *user, *pass, *args, *realuser;
    size_t len;
{
    FILE *f;
    char buf[BIG_BUFFER], *colon, *tag, *iter;
    int done, ret;

    f = fopen(_PATH_AUTHKEYS, "r");
    if (!f)
        return kPERMCantAuthenticate;
    done = 0;
    while ((!done) && (fgets(buf, sizeof(buf), f))) {
        if (!(iter = MISCparseline(buf)))
            continue;
        if (!(colon = strchr(iter, ':')))
            continue;
        *colon = 0;
        if (tag = strchr(iter, '@'))
            *tag = 0;
        if (strcmp(args, iter))
            continue;
        done = 1;
        ret = PERMcheckpasswd(user, pass, colon+1, tag?tag+1:0, realuser, len);
    }
    fclose(f);
    if (!done) {
        syslog(L_ERROR, "tag %s not in auth scheme file", args);
        return kPERMCantAuthenticate;
    }
    return ret;
}
#endif //DO_AUTH_TAG
