#include <ndbm.h>
#include <fcntl.h>
#include <stdio.h>

#include "filtpaths.h"

int main()
{
    DBM *d;
    int fd;

    d = dbm_open(_PATH_POSTDB, O_RDWR|O_CREAT|O_EXCL, 0600);
    if (d) {
        printf("Post database created!\n");
        dbm_close(d);
    } else {
        fprintf(stderr,
          "Error creating database.  Make sure there isn't one already.\n");
        return(1);
    }
    fd = open(_PATH_POSTDB, O_RDWR|O_CREAT|O_EXCL, 0600);
    if (fd == -1) {
        fprintf(stderr, "Error creating the lock file.  Make sure there isn't one already.\n");
        return(1);
    } else {
        printf("Lock file created succesfully.\n");
        close(fd);
    }
    return(0);
}
