#ifndef __SUBST_H
#define __SUBST_H

#include <sys/types.h>
#include "filter.h"

typedef size_t (*SUBSTlenfunc)(char*, FILT*);
typedef void (*SUBSTfunc)(char*, char*, size_t, FILT*);

typedef struct _SUBSTinfo {
    char *name;
    SUBSTlenfunc len;
    SUBSTfunc func;
} SUBSTinfo;

extern FILT *SUBSTglobvar;

extern void SUBSTaddsvar(FILT*, char*, char*);

extern void SUBSTgetvalue(char*, char*, size_t, FILT*);
extern size_t SUBSTgetlength(char*, FILT*);
extern void SUBSTchangetext(char*, char*, size_t, FILT*);
extern size_t SUBSTlengthtext(char*, FILT*);

#endif
