#ifndef __DEP_H
#define __DEP_H

typedef struct _depstruc {
    char *name;
    void *data;
    void (*action)(struct _depstruc *, void*);
    struct _depstruc **children;        /* things that depend on us */
    struct _depstruc **deplist;         /* the global dependancy context */
} depstruc, **deplist;

void dep_touch(depstruc*, void*);
depstruc *new_dep(deplist*, char*);
depstruc *find_dep(deplist, char*);
int add_dep(depstruc*, depstruc*);

extern deplist dep_glob;

#endif
