/* $Id: strings.c,v 1.1.1.1.2.1 1997/08/14 17:02:50 aidan Exp $ */
/* $Log: strings.c,v $
/* Revision 1.1.1.1.2.1  1997/08/14 17:02:50  aidan
/* What used to be external programs, but now we are linking against
/* */

#include "strings.h"

#include <string.h>

/* Gets a word, separated by white space, returns number of letters in word */
int get_word(char *line, char *word) {
   int i=0, j=0;

   while ((*(line+i))&&isspace(*(line+i)))
      i++;
   while ((*(line+i))&&isspace(*(line+i)) == 0) {
      *(word+j) = *(line+i);
      i++; j++;
   }
   *(word+j) = '\0';

   return i;
}

int get_line(FILE *fs, char *dst) {
   char *foo;

   if (fgets(dst, MAX_LINE_LEN, fs) == NULL)
      return -1;
   if ((foo = strchr(dst, COMMENT_DELIM)) != NULL)
      *foo = '\0';
   if ((foo = strchr(dst, '\n')) != NULL)
      *foo = '\0';
   return 0;
}

int getsubstr(char *src, char *dst, char delim, int maxlen) {
   int i=0, j=0;

   while (isspace(*(src+i)))
      i++;
   while ((*(src+i) != delim) && (*(src+i) != '\0') && (*(src+i) != '\n')
	  && (*(src+i) != COMMENT_DELIM) && (i < maxlen)) {
      *(dst+j) = *(src+i);
      i++; j++;
   }
   *(dst+j) = '\0';

   return (i == maxlen) ? -1 : i;
}
