#ifndef __GUCS_ERR_CODE_H
#define __GUCS_ERR_CODE_H

#define GUCS_ERR_ERRNO		0	/* subcode is value of errno. */

#define GUCS_ERR_INTERNAL	1
#define 	GUCS_ERR_NO_MEM	0
#define 	GUCS_ERR_USAGE	1
#define 	GUCS_ERR_LOCKED	2

#define GUCS_ERR_PARSE		2
#define 	GUCS_ERR_PARSE_RBRACE	0	/* unexpected rbrace. */
#define 	GUCS_ERR_PARSE_NOMATCH	1	/* couldn't understand line format. */
#define 	GUCS_ERR_PARSE_STRING	2	/* unterminated string. */
#define 	GUCS_ERR_PARSE_EOF	3	/* unexpected EOF. */
#define 	GUCS_ERR_PARSE_NO_EOF	4	/* didn't hit EOF. */

/* data elements */
#define GUCS_ERR_DATA_START	"GUCS_cf.start"
#define GUCS_ERR_DATA_POS	"GUCS_cf.pos"

#endif
