#ifndef __PROTO_H
#define __PROTO_H

#include "filter.h"

#define sMSGlog		"msg.logfile"

#define sLIMslow	"lim.numslow"
#define sLIMstop	"lim.numstop"
#define sLIMcrosspost	"lim.crosspost"
#define sLIMfollowup	"lim.followup"
#define sLIMnotify	"lim.notify"
#define sLIMgroup	"lim.group"
#define sLIMemgroup	"lim.em.group"
#define sLIMemfile	"lim.em.file"
#define sLIMemindex	"lim.em.index"
#define sLIMemfname	"lim.em.fname"

#define sLIM		"lim"

#define sLIMload	"lim.loaded.%s"

#define sCUPfname	"cup.fname"

#define kFILTlimtype	1
#define kFILTcharpptype	2
#define kFILTemtype	3

typedef void (*FILTheadproc)(FILT*, char*);

extern void FILTaddheader(FILT*, char*, char*);
extern void FILTclearheaders(FILT*);
extern char *FILTgetheader(FILT*, char*);
extern void FILTsetheadproc(FILTheadproc);

#endif
