#include "filter.h"
#include "error.h"
#include "substfuncs.h"

void
ERRORseterror(filt, newerr)
    FILT *filt;
    char *newerr;
{
    FILTaddstring(filt, "priv.error", newerr, 1);
}

void
ERRORclearerror(filt)
    FILT *filt;
{
    FILTdelstring(filt, "priv.error", 1);
}

void
SUBSTgeterror(name, ret, len, parm)
    char *name, *ret;
    size_t len;
    FILT *parm;
{
    char *str = FILTgetstring(parm, "priv.error", 1);

    if (!str)
        *ret = 0;
    else
        strncpy(ret, str, len);
}
