#ifndef __CATCHUP_H
#define __CATCHUP_H

#include <sys/types.h>
#include "filter.h"

typedef struct _CUPent {
    char *fname;
    char *user;
    int delay;
    int timeleft;
    int tries;
} CUPent;

typedef struct _CUPlist {
    CUPent ent;
    struct _CUPlist *next;
} CUPlist;

extern int CUPsendfile(CUPent*);
extern int CUPfile(char*, int, char*, size_t, char*);
extern void CUPfilename(char*, int, char*, size_t, char*);
extern int CUPparsefname(char*, char*, size_t, int*);

extern CUPlist *errlist;

extern char *CUPgetfilename(FILT*);
extern void CUPsetfilename(FILT*, char*);

#endif
