#include <fcntl.h>
#include <stdio.h>
#include "subst.h"
#include "catchup.h"

int
main()
{
    int fd;
    int len;
    char buf[1024];
    FILT *filt;
    char *out;

    fd = open("testsubst.text", O_RDONLY, 0600);
    len = read(fd, buf, sizeof(buf)-1);
    buf[len] = 0;
    printf("%s", buf);
    FILTinit();
    filt = FILTconnect(0);
    FILTsetuser(filt, "aidan");
    CUPsetfilename(filt, "filter.c");
    len = SUBSTlengthtext(buf, filt);
    printf("Length: %d\n", len);
    out = (char*)malloc(len);
    SUBSTchangetext(buf, out, len, filt);
    printf("%s", out);
    printf("Length: %d\n", strlen(out)+1);
    FILTdestroy(filt);
    return(0);
}
