#ifndef __TRACK_H
#define __TRACK_H

#include <sys/types.h>
#include "limitfile.h"

    /* =()<#define @<_FILT_POST>@_FILT_POST>()= */
#define DO_FILT_POST
    /* =()<#define @<_FILT_CROSSPOST>@_FILT_CROSSPOST>()= */
#define DO_FILT_CROSSPOST
    /* =()<#define @<_FILT_FOLLOWUP>@_FILT_FOLLOWUP>()= */
#define DO_FILT_FOLLOWUP
    /* =()<#define @<_FILT_GROUP>@_FILT_GROUP>()= */
#define DO_FILT_GROUP
    /* =()<#define @<_FILT_NOTIFY>@_FILT_NOTIFY>()= */
#define DO_FILT_NOTIFY
    /* =()<#define @<_FILT_EMILY>@_FILT_EMILY>()= */
#define DO_FILT_EMILY

extern void TRACKinit();

#if	defined(DO_FILT_POST)
extern int LIMpost(FILT*, char*, LIMconfpart*);
extern void LIMbreidbart(FILT*, FILT*, LIM*);
extern void LIMgetlog(FILT*, FILT*, LIM*);
#if	defined(DO_FILT_NOTIFY)
extern void LIMsendnot(FILT*, FILT*, LIM*);
#endif	/* DO_FILT_NOTIFY */
#endif	/* DO_FILT_POST */
#if	defined(DO_FILT_CROSSPOST) || defined(DO_FILT_FOLLOWUP)
extern int LIMcrosspost(FILT*, char*, LIMconfpart*);
extern void LIMcrossblock(FILT*, FILT*, LIM*);
#endif
#if	defined(DO_FILT_NOTIFY)
extern int LIMnotify(FILT*, char*, LIMconfpart*);
extern int LIMnotifymsg(FILT*, char*, LIMconfpart*);
extern int LIMshouldnot(FILT*, char*);
#endif
#if	defined(DO_FILT_GROUP)
extern int LIMcrossgroup(FILT*, char*, LIMconfpart*);
extern void LIMgroupblock(FILT*, FILT*, LIM*);
#endif
#if	defined(DO_FILT_EMILY)
extern int LIMemily(FILT*, char*, LIMconfpart*);
extern void LIMpostnews(FILT*, FILT*, LIM*);
extern void LIMsyncemily(FILT*, FILT*, LIM*);
extern void LIMfinemily(FILT*, FILT*, LIM*);
#endif
extern void LIMsendmessage(FILT*, char*);
extern int LIMdb(FILT*, char*, LIMconfpart*);
extern void LIMrundb(FILT*, FILT*, LIM*);
extern int LIMerrmsg(FILT*, char*, LIMconfpart*);
extern char *LIMgeterrmsg(FILT*, char*);

#endif
